Subject: 2.3.0 events.c XUrgency compile error

From: Dan Espen <[email-masked]>
Date: Thu, 04 Mar 1999 12:23:42 -0500

I'm on Solaris 2..5.1 and have to build with --disable-session.  There
are no  session headers on this system.   With the current  CVS, I get
this:

gcc -DHAVE_CONFIG_H -I. -I../../version-2_3_0/fvwm -I.. -I../../version-2_3_0 -I../../version-2_3_0/libs -I/opt/public/include -I/usr/openwin/include    -g -c ../../version-2_3_0/fvwm/events.c
../../version-2_3_0/fvwm/events.c: In function `HandlePropertyNotify':
../../version-2_3_0/fvwm/events.c:528: `XUrgencyHint' undeclared (first use this function)

-- 
Dan Espen
444 Hoes Lane  Room RRC 1C-214             E-mail: [email-masked]
Piscataway, NJ 08854                       Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: [email-masked] (Paul D. Smith)
Date: 04 Mar 1999 12:33:29 -0500

%% Dan Espen <[email-masked]> writes:

  de> I'm on Solaris 2..5.1 and have to build with --disable-session.  There
  de> are no session headers on this system.

Urk.  Configure should determine this for you, you shouldn't have to
specify --disable-session.

Can someone provide some header files or X functions or other tests
which could be used to determine if the system supports session
management or not?

-- 
-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
   These are my opinions---Nortel Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Matthias Clasen <[email-masked]>
Date: Fri, 5 Mar 1999 10:30:07 +0100

> which could be used to determine if the system supports session

Oops, I didn't think about that. 

But the urgency hint is not session management, its ICCCM 2. That
may have been added in R6. So we either have to ifdef out the icccm2
stuff for older systems or simply provide a definition for the urgency
hint bit if the X headers don't define it. I'll take a look.

-- 
Matthias Clasen, 
Tel. 0761/203-5606
Email: [email-masked]
Mathematisches Institut, Albert-Ludwigs-Universitaet Freiburg
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]